Skip to main content
GET
/
it
/
calculator
/
tax-pnl
/
crypto
Get Tax P&L Job Status
curl --request GET \
  --url https://test-api.sandbox.co.in/it/calculator/tax-pnl/crypto \
  --header 'Authorization: <authorization>' \
  --header 'x-accept-type: <x-accept-type>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://test-api.sandbox.co.in/it/calculator/tax-pnl/crypto"

headers = {
"x-accept-type": "<x-accept-type>",
"x-api-key": "<x-api-key>",
"Authorization": "<authorization>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'x-accept-type': '<x-accept-type>',
'x-api-key': '<x-api-key>',
Authorization: '<authorization>'
}
};

fetch('https://test-api.sandbox.co.in/it/calculator/tax-pnl/crypto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "timestamp": 1676979940157,
  "transaction_id": "c01f847c-c42e-4577-9d01-a7208401a922",
  "data": {
    "@entity": "in.co.sandbox.it.calculator.cryto.tax_pnl.job",
    "job_id": "c01f847c-c42e-4577-9d01-a7208401a922",
    "report": "tradewise",
    "from": 1682945614000,
    "to": 1683291214000,
    "status": "succeeded",
    "tax_pnl_workbook_url": "https://in-co-sandbox-it-calculator-crypto-tax-pnl-dev.s3.ap-south-1.amazonaws.com/tax_pnl_workbook.json"
  }
}
{
"code": 521,
"timestamp": 1672226687297,
"transaction_id": "a4d95225-1802-475b-a990-e57af523ea6e",
"message": "Data not found: 7baed565-4dc2-46a1-89c2-be35a0a38081"
}
https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3

Run in Postman

Headers

x-accept-type
enum<string>
default:application/json
required

Specifies the response format expected from the API. Use application/json for JSON responses or application/xlsx for Excel file downloads.application/xlsx

Available options:
application/xlsx,
application/json
x-api-key
string
required

Your API key used to authenticate and authorize the request.

x-api-version
string

Indicates the version of the API you want to use. Ensures backward-compatible behavior.

Authorization
string
required

Bearer token for user-level authorization. Typically passed as Bearer {{access_token}}.

Query Parameters

job_id
string<uuid>
required

Unique identifier of the job whose processing status you want to fetch. Returned in the response when a tax P&L job is created.

Response

Success

code
integer
timestamp
integer
transaction_id
string
data
object